singleton Material(bearbody)
{
    mapTo = "bearbody";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    diffuseMap[2] = "dude.png";
    diffuseMap[1] = "dude_d.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.337";
    diffuseColor[2] = "1 1 1 0.737";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(bearbodytest)
{
    mapTo = "bearbodytest";
    diffuseMap[0] = "vehicles/ram/testuv.png";
	diffuseColor[0] = "1 1 1 0.1";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(brembo)
{
    mapTo = "brembo";
    diffuseMap[0] = "vehicles/ram/brake.png";
	diffuseColor[0] = "1 1 1 0.1";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ramwood)
{
    mapTo = "ramwood";
    diffuseMap[0] = "vehicles/ram/wood.png";
	diffuseColor[0] = "1 1 1 0.1";
	dynamicCubemap = true;
	doubleSided = "1";
    beamngDiffuseColorSlot = 2; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rammisc)
{
   mapTo = "rammisc";
    diffuseMap[2] = "vehicles/ram/etktxt/ram_c.dds";
    specularMap[2] = "vehicles/ram/etktxt/ram_s.dds";
    diffuseMap[1] = "vehicles/ram/etktxt/ram_d.dds";
    specularMap[1] = "vehicles/ram/etktxt/ram_s.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ram_seats)
{
    mapTo = "ram_seats";
    normalMap[0] = "vehicles/ram/ram_seats_n.dds";
    diffuseMap[0] = "vehicles/ram/ram_seats_d.dds";
    specularMap[0] = "vehicles/ram/ram_seats_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(chrome)
{
    mapTo = "chrome";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    diffuseMap[2] = "dude_c.png";
    diffuseMap[1] = "dude_c.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.337";
    diffuseColor[2] = "1 1 1 0.737";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ramglass)
{
   mapTo = "ramglass";
   reflectivityMap[0] = "vehicles/ram/glass.dds";
    diffuseMap[0] = "vehicles/ram/glass.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/ram/glass.dds";
    specularMap[1] = "vehicles/ram/glass.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ramred)
{
   mapTo = "ramred";
   reflectivityMap[0] = "vehicles/ram/red.dds";
    diffuseMap[0] = "vehicles/ram/red.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/ram/red.dds";
    specularMap[1] = "vehicles/ram/red.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(ram_plastic)
{
    mapTo = "ram_plastic";
   specularPower[0] = "25";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/ram/black.png";
   useAnisotropic[0] = "1";
   materialTag0 = "Miscellaneous";
   pixelSpecular[0] = "1";
   normalMap[0] = "vehicles/ram/commonnormal.png";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(green)
{
    mapTo = "green";
   specularPower[0] = "25";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/ram/greenbg.png";
   useAnisotropic[0] = "1";
   materialTag0 = "Miscellaneous";
   pixelSpecular[0] = "1";
   normalMap[0] = "vehicles/ram/commonnormal.png";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

singleton Material(bg)
{
    mapTo = "bg";
   specularPower[0] = "25";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/ram/bgkit.png";
   useAnisotropic[0] = "1";
   materialTag0 = "Miscellaneous";
   pixelSpecular[0] = "1";
   normalMap[0] = "vehicles/ram/bgkit_n.png";
   materialTag2 = "Industrial";
   materialTag1 = "vehicle";
};

